execute if entity @p[tag=!end] if block -2 80 5 grass_block if block -2 81 5 minecraft:oak_fence_gate[open=true] run fill -4 80 3 0 80 7 lava
execute if entity @p[tag=!end] if entity @p[x=-4,y=81,z=-1,dx=8,dy=2,dz=12,scores={open_chest=1..}] run function main:creepers
execute if entity @p[tag=!end] if block 0 81 6 stone_button[powered=true] run function main:tree_button
execute if block 6 81 2 grass_block if block 6 82 3 stone_button[powered=true] run function main:wall_button
execute if block 10 83 2 minecraft:stone_button[powered=true] run function main:stone_wall1
execute if block 12 82 2 minecraft:stone_button[powered=true] run function main:stone_wall2

execute as @e[type=area_effect_cloud,tag=stonebrick_wall] at @s run function main:stonebrick_wall
execute if block 0 80 11 air as @p[x=0,y=69,z=18,dx=1,dy=1,dz=1] positioned -4 69 17 unless entity @e[type=area_effect_cloud,distance=..1.5] run summon area_effect_cloud -4 69 17 {NoGravity:1b,WaitTime:0,ReapplicationDelay:0,Duration:2000000000,Tags:["stonebrick_wall","noKill"]}
execute if block 0 80 11 air as @p[x=0,y=69,z=22,dx=1,dy=1,dz=1] positioned -4 69 21 unless entity @e[type=area_effect_cloud,distance=..1.5] run summon area_effect_cloud -4 69 21 {NoGravity:1b,WaitTime:0,ReapplicationDelay:0,Duration:2000000000,Tags:["stonebrick_wall","noKill"]}
execute if block 0 80 11 air as @p[x=0,y=69,z=26,dx=1,dy=1,dz=1] positioned -4 69 25 unless entity @e[type=area_effect_cloud,distance=..1.5] run summon area_effect_cloud -4 69 25 {NoGravity:1b,WaitTime:0,ReapplicationDelay:0,Duration:2000000000,Tags:["stonebrick_wall","noKill"]}
execute if block 0 80 11 air as @p[x=0,y=69,z=30,dx=1,dy=1,dz=1] positioned -4 69 29 unless entity @e[type=area_effect_cloud,distance=..1.5] run summon area_effect_cloud -4 69 29 {NoGravity:1b,WaitTime:0,ReapplicationDelay:0,Duration:2000000000,Tags:["stonebrick_wall","noKill"]}
execute if block 0 80 11 air as @p[x=0,y=69,z=34,dx=1,dy=1,dz=1] positioned -4 69 37 unless entity @e[type=area_effect_cloud,distance=..1.5] run summon area_effect_cloud -4 69 37 {NoGravity:1b,WaitTime:0,ReapplicationDelay:0,Duration:2000000000,Tags:["stonebrick_wall","noKill"]}

execute if block 12 82 2 stone_button if entity @p[x=10,y=81,z=0,dx=2,dy=1,dz=0] run setblock 12 82 2 air
execute if block 12 82 2 stone_button if entity @p[x=10,y=81,z=4,dx=2,dy=1,dz=0] run setblock 12 82 2 air

execute if score Global mossy matches 0 if entity @p[nbt={SelectedItem:{id:"minecraft:wooden_pickaxe",Count:1b}},x=-4,y=81,z=-1,dx=2,dy=1,dz=2] run function main:mossy
execute if score Global mossy matches 1.. run function main:mossy

execute if entity @p[tag=!end] if score Global fake_end matches 0 if block -2 80 5 grass_block if block 0 82 12 oak_button[powered=true] run function main:fake_end
execute if score Global fake_end matches 1.. run function main:fake_end

execute if block 0 68 44 stone if entity @p[tag=respawned,x=-3,y=69,z=43,dx=6,dy=1,dz=1] run function main:door
execute if block 0 68 44 hopper{Items:[{Slot:0b,id:"minecraft:iron_pickaxe",Count:1b}]} run function main:right_pickaxe
execute if block 0 68 44 hopper{Items:[{Slot:0b,id:"minecraft:wooden_pickaxe",Count:1b}]} run function main:wrong_pickaxe

execute if score Global right_pickaxe matches 1.. run function main:right_pickaxe
execute if score Global wrong_pickaxe matches 1.. run function main:wrong_pickaxe

execute unless entity @e[type=creeper,tag=creeper] if entity @p[x=-29,y=63,z=51,dx=3,dy=1,dz=2] run summon creeper -28 61 51 {Tags:["creeper"],Fire:-1000,ExplosionRadius:10b,Fuse:20,Motion:[0.1,1.0,0.1],Rotation:[-17F,0F],ActiveEffects:[{Id:1b,Amplifier:4b,Duration:199980,ShowParticles:0b}]}

execute as @a[x=-23,y=62,z=67,dx=2,dy=0,dz=0] run effect give @s fire_resistance 2 1 true
execute as @a[x=-23,y=43,z=67,dx=2,dy=0,dz=2] at @s run tp @s ~-4 ~16 ~
execute as @a[x=-27,y=43,z=67,dx=2,dy=0,dz=2] at @s run tp @s ~ ~16 ~

execute if score Global stuck matches 0 if entity @p[x=86,y=71,z=66,dx=1,dy=0,dz=2] run function main:stuck1
execute if score Global stuck matches 1.. run function main:stuck1

execute if score Global parkour matches 0 if entity @p[tag=respawned,x=38,y=85,z=80,dx=0,dy=0,dz=1] run function main:parkour
execute if score Global parkour matches 1.. run function main:parkour

execute if score Global redstone_ore matches 0 if block -17 67 68 redstone_ore[lit=true] run function main:redstone_ore
execute if score Global redstone_ore matches 1.. run function main:redstone_ore

execute unless entity @e[type=creeper,tag=creeper] if entity @p[x=-22,y=64,z=85,dx=3,dy=1,dz=0] run summon creeper -20.0 62 91 {Tags:["creeper"],Fire:-1000,ExplosionRadius:10b,Fuse:20,Motion:[0.0,2.0,-0.3],Rotation:[180F,0F],ActiveEffects:[{Id:1b,Amplifier:4b,Duration:199980,ShowParticles:0b}]}

execute as @a[x=-21,y=64,z=97,dx=1,dy=0,dz=0] run replaceitem entity @s armor.head stone_button{CanPlaceOn:["minecraft:sea_lantern"],display:{Name:"{\"text\":\"Dang it, you got me :(\",\"color\":\"yellow\",\"italic\":false}"}} 1
execute if block -24 67 100 glowstone if entity @p[nbt={SelectedItem:{id:"minecraft:stone_button",Count:1b}}] run setblock -24 67 100 sea_lantern
execute if block -24 67 100 sea_lantern unless entity @p[nbt={SelectedItem:{id:"minecraft:stone_button",Count:1b}}] run setblock -24 67 100 glowstone

execute if block -24 66 100 stone_button[powered=true] run function main:nope

execute as @e[type=armor_stand,tag=rotate] at @s run tp @s ~ ~ ~ ~5 ~
execute if block -22 64 116 minecraft:stone_pressure_plate[powered=true] run function main:pillar1
execute if block -12 64 116 minecraft:stone_pressure_plate[powered=true] run function main:pillar2
execute if block -22 64 126 minecraft:stone_pressure_plate[powered=true] run function main:pillar3
execute if block -12 64 126 minecraft:stone_pressure_plate[powered=true] run function main:pillar4
execute if entity @e[type=armor_stand,tag=creeper_head] if block -23 66 115 redstone_block if block -23 66 127 redstone_block if block -11 66 127 redstone_block if block -11 66 115 redstone_block run function main:creeper_head

execute if score Global head matches 0 if entity @p[nbt={Inventory:[{id:"minecraft:creeper_head",Count:1b}]}] run function main:creeper_head2
execute if score Global head matches 1.. run function main:creeper_head2

execute unless block 5 74 95 chest{Items:[]} run function main:diversity
execute if score Global diversity matches 1.. run function main:diversity

execute if entity @p[tag=end] if score Global real_end matches 0 if block -2 80 5 grass_block if block 0 82 12 oak_button[powered=true] run function main:real_end
execute if score Global real_end matches 1.. run function main:real_end

execute as @a[gamemode=creative,tag=!cheater] run function main:cheater
execute as @a[gamemode=survival] run gamemode adventure @s
function main:sign
execute as @a[x=0,y=81,z=0,dx=0,dy=0,dz=0] run tag @s add respawned
execute as @e[type=arrow,nbt={inGround:1b}] run kill @s
execute if entity @p[scores={death=1..}] run function main:reset
kill @e[type=area_effect_cloud,tag=!noKill]
execute as @a[tag=!resistance] run effect clear @s resistance
effect give @a saturation 9999 127 true
spawnpoint @a 0 81 0